ONVIF::Analytics::Types::PTZPresetTourStatus(3)

NAME
ONVIF::Analytics::Types::PTZPresetTourStatus

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourStatus from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   State

•   CurrentTourSpot

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::PTZPresetTourStatus
   State => $some_value, # PTZPresetTourState
   CurrentTourSpot =>  { # ONVIF::Analytics::Types::PTZPresetTourSpot
     PresetDetail =>      { # ONVIF::Analytics::Types::PTZPresetTourPresetDetail
       # One of the following elements.
       # No occurrence checks yet, so be sure to pass just one...
       PresetToken => $some_value, # ReferenceToken
       Home =>  $some_value, # boolean
       PTZPosition =>  { # ONVIF::Analytics::Types::PTZVector
         PanTilt => ,
         Zoom => ,
       },
       TypeExtension =>  { # ONVIF::Analytics::Types::PTZPresetTourTypeExtension
       },
     },
     Speed =>  { # ONVIF::Analytics::Types::PTZSpeed
       PanTilt => ,
       Zoom => ,
     },
     StayTime =>  $some_value, # duration
     Extension =>  { # ONVIF::Analytics::Types::PTZPresetTourSpotExtension
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::PTZPresetTourStatusExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL